POST /whatsapp/calls

Place a LIVE business-initiated call (needs calling enabled and the person's permission), or action send_call_permission_request to ask for it

POST
/whatsapp/calls

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

to*string
action?"send_call_permission_request"
Value in"send_call_permission_request"
bodyText?string
forwardTo?string
recordOverride?boolean

Response Body

{success, callId, status, direction, to, forwardTo, recordingEnabled}

application/json
  1. response
success?boolean
callId?string
telnyxCallControlId?string
status?string
direction?string
to?string
forwardTo?string|null
recordingEnabled?boolean
action?string
messageId?string
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/calls' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "to": "string"}'
Example Response
{  "success": true,  "callId": "string",  "telnyxCallControlId": "string",  "status": "string",  "direction": "string",  "to": "string",  "forwardTo": "string",  "recordingEnabled": true,  "action": "string",  "messageId": "string"}